Summary:	A Java wrapper around theora, using JNA
Name:		theora-java
Version:	20071009
Release:	%mkrel 0.0.12
License:	LGPLv3
Group:		Development/Java
URL:		http://fmj.sourceforge.net/
#Source0:	%%{name}-%%{version}-1153.tar.gz
Source0:	%{name}.tar.bz2
Patch0:		%{name}-build.xml.diff
BuildArch:	noarch
BuildRequires:	java-devel
BuildRequires:	ant
BuildRequires:	jorbis
BuildRequires:	update-alternatives
BuildRequires:	xml-commons-apis
Requires:	java >= 1.5
Requires:	jorbis
Requires:	libogg
Requires:	libtheora
Requires:	libvorbis

%description
theora-java is a Java wrapper around theora, using JNA.

%package javadoc
Summary:	Javadoc for theora-java
Group:		Documentation

%description javadoc
Javadoc for theora-java.

%prep
%setup -q -n %{name}
%patch0

%__rm lib/jogg*.jar
%__rm lib/jorbis*.jar

%build
%ant dist

%install
# jar
%__install -dm 755 %{buildroot}%{_javadir}/fmj
%__install -pm 644 build/jars/%{name}.jar \
	%{buildroot}%{_javadir}/fmj/%{name}-%{version}.jar
pushd %{buildroot}%{_javadir}/fmj
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd
%__install -pm 644 build/jars/jheora-patch.jar \
	%{buildroot}%{_javadir}/fmj

# javadoc
%__install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -pr build/doc/* \
	%{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} 

%files
%doc *.txt README
%dir %{_javadir}/fmj
%{_javadir}/fmj/*.jar

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}


%changelog
* Sat Feb 27 2016 umeabot <umeabot> 20071009-0.0.12.mga6
+ Revision: 979827
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 20071009-0.0.11.mga6
+ Revision: 894156
- make it noarch thus fixing empty debuginfo
- fix Group

* Wed Nov 05 2014 tv <tv> 20071009-0.0.10.mga5
+ Revision: 795718
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 20071009-0.0.9.mga5
+ Revision: 739191
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20071009-0.0.8.mga5
+ Revision: 689867
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20071009-0.0.7.mga4
+ Revision: 519627
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 20071009-0.0.6.mga3
+ Revision: 384520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 grenoya <grenoya> 20071009-0.0.5.mga1
+ Revision: 69398
- clean old Mdv syntax
- imported package theora-java


* Sat Nov 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 20071009-0.0.5mdv2009.1
+ Revision: 305922
- no longer noarch, as it uses arch specific libraries

* Fri Nov 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 20071009-0.0.4mdv2009.1
+ Revision: 305606
- fix requires on theora for mdv releases older than 200910

* Fri Nov 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 20071009-0.0.3mdv2009.1
+ Revision: 300810
- fix requires on libtheora
- new license policy
- spec file clean

* Mon Sep 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 20071009-0.0.2mdv2009.0
+ Revision: 287017
- bump release
- fix requires

* Mon Sep 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 20071009-0.0.1mdv2009.0
+ Revision: 286736
- import theora-java


